Closed Bug 1478847 Opened 2 years ago Closed 2 years ago

Permafailing tier 2 /html/browsers/the-window-object/window-open-noopener.html?indexed | Trailing noopener should work - expected TIMEOUT

Categories

(Core :: DOM: Core & HTML, defect)

defect
Not set

Tracking

()

RESOLVED FIXED
mozilla63
Tracking Status
firefox63 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: annyG)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell needswork:owner][wptsync upstream])

Attachments

(1 file)

Filed by: ncsoregi [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=190393873&repo=mozilla-central

https://queue.taskcluster.net/v1/task/Udbl9O00Rce2LmnGGAfKEg/runs/0/artifacts/public/logs/live_backing.log

[task 2018-07-26T22:49:33.129Z] 22:49:33     INFO - TEST-START | /html/browsers/the-window-object/window-open-noopener.html?indexed
[task 2018-07-26T22:49:33.247Z] 22:49:33     INFO - PID 7011 | 1532645373234	Marionette	DEBUG	[2147483703] Frame script loaded
[task 2018-07-26T22:49:33.247Z] 22:49:33     INFO - PID 7011 | 1532645373235	Marionette	DEBUG	[2147483703] Frame script registered
[task 2018-07-26T22:49:33.458Z] 22:49:33     INFO - PID 7011 | 1532645373450	Marionette	DEBUG	[2147483706] Frame script loaded
[task 2018-07-26T22:49:33.458Z] 22:49:33     INFO - PID 7011 | 1532645373452	Marionette	DEBUG	[2147483706] Frame script registered
[task 2018-07-26T22:49:33.580Z] 22:49:33     INFO - PID 7011 | 1532645373573	Marionette	DEBUG	[2147483709] Frame script loaded
[task 2018-07-26T22:49:33.588Z] 22:49:33     INFO - PID 7011 | 1532645373579	Marionette	DEBUG	[2147483709] Frame script registered
[task 2018-07-26T22:49:33.707Z] 22:49:33     INFO - PID 7011 | 1532645373693	Marionette	DEBUG	[2147483712] Frame script loaded
[task 2018-07-26T22:49:33.723Z] 22:49:33     INFO - PID 7011 | 1532645373712	Marionette	DEBUG	[2147483712] Frame script registered
[task 2018-07-26T22:49:33.740Z] 22:49:33     INFO - PID 7011 | 1532645373727	Marionette	DEBUG	[4294967297] Frame script loaded
[task 2018-07-26T22:49:33.740Z] 22:49:33     INFO - PID 7011 | 1532645373730	Marionette	DEBUG	[4294967297] Frame script registered
[task 2018-07-26T22:49:33.837Z] 22:49:33     INFO - PID 7011 | 1532645373832	Marionette	DEBUG	[2147483715] Frame script loaded
[task 2018-07-26T22:49:33.853Z] 22:49:33     INFO - PID 7011 | 1532645373845	Marionette	DEBUG	[2147483715] Frame script registered
[task 2018-07-26T22:49:33.938Z] 22:49:33     INFO - PID 7011 | 1532645373934	Marionette	DEBUG	[2147483718] Frame script loaded
[task 2018-07-26T22:49:33.962Z] 22:49:33     INFO - PID 7011 | 1532645373954	Marionette	DEBUG	[2147483718] Frame script registered
[task 2018-07-26T22:49:34.039Z] 22:49:34     INFO - PID 7011 | 1532645374030	Marionette	DEBUG	[2147483721] Frame script loaded
[task 2018-07-26T22:49:34.219Z] 22:49:34     INFO - PID 7011 | 1532645374210	Marionette	DEBUG	[2147483721] Frame script registered
[task 2018-07-26T22:49:36.261Z] 22:49:36     INFO - PID 7011 | 1532645376253	Marionette	DEBUG	[2147483724] Frame script loaded
[task 2018-07-26T22:49:36.297Z] 22:49:36     INFO - PID 7011 | 1532645376285	Marionette	DEBUG	[2147483724] Frame script registered
[task 2018-07-26T22:49:36.984Z] 22:49:36     INFO - PID 7011 | JavaScript error: resource:///modules/BrowserUsageTelemetry.jsm, line 100: TypeError: win.gBrowser is undefined
[task 2018-07-26T22:49:36.984Z] 22:49:36     INFO - PID 7011 | JavaScript error: resource:///modules/ProcessHangMonitor.jsm, line 412: TypeError: win.gBrowser is undefined
[task 2018-07-26T22:49:39.775Z] 22:49:39     INFO - 
[task 2018-07-26T22:49:39.775Z] 22:49:39     INFO - TEST-PASS | /html/browsers/the-window-object/window-open-noopener.html?indexed | window.open() with 'noopener' should not reuse existing target 
[task 2018-07-26T22:49:39.776Z] 22:49:39     INFO - TEST-PASS | /html/browsers/the-window-object/window-open-noopener.html?indexed | noopener needs to be present as a token on its own 
[task 2018-07-26T22:49:39.776Z] 22:49:39     INFO - TEST-PASS | /html/browsers/the-window-object/window-open-noopener.html?indexed | noopener needs to be present as a token on its own again 
[task 2018-07-26T22:49:39.777Z] 22:49:39     INFO - TEST-PASS | /html/browsers/the-window-object/window-open-noopener.html?indexed | noopener needs to be present as a token on its own yet again 
[task 2018-07-26T22:49:39.777Z] 22:49:39     INFO - TEST-UNEXPECTED-PASS | /html/browsers/the-window-object/window-open-noopener.html?indexed | Trailing noopener should work - expected TIMEOUT
[task 2018-07-26T22:49:39.778Z] 22:49:39     INFO - TEST-INFO | expected TIMEOUT
[task 2018-07-26T22:49:39.779Z] 22:49:39     INFO - 
[task 2018-07-26T22:49:39.779Z] 22:49:39     INFO - TEST-UNEXPECTED-PASS | /html/browsers/the-window-object/window-open-noopener.html?indexed | Leading noopener should work - expected TIMEOUT
[task 2018-07-26T22:49:39.779Z] 22:49:39     INFO - TEST-INFO | expected TIMEOUT
[task 2018-07-26T22:49:39.781Z] 22:49:39     INFO - 
[task 2018-07-26T22:49:39.781Z] 22:49:39     INFO - TEST-UNEXPECTED-PASS | /html/browsers/the-window-object/window-open-noopener.html?indexed | Interior noopener should work - expected TIMEOUT
[task 2018-07-26T22:49:39.781Z] 22:49:39     INFO - TEST-INFO | expected TIMEOUT
[task 2018-07-26T22:49:39.782Z] 22:49:39     INFO - TEST-UNEXPECTED-OK | /html/browsers/the-window-object/window-open-noopener.html?indexed | expected TIMEOUT
[task 2018-07-26T22:49:39.783Z] 22:49:39     INFO - TEST-INFO expected TIMEOUT | took 6647ms
Summary: Intermittent permafailing tier 2 /html/browsers/the-window-object/window-open-noopener.html?indexed | Trailing noopener should work - expected TIMEOUT → Permafailing tier 2 /html/browsers/the-window-object/window-open-noopener.html?indexed | Trailing noopener should work - expected TIMEOUT
Hey anny, this looks like it might've been triggered by your work on the noopener flag. Can you try running the affected test?
Flags: needinfo?(agakhokidze)
Hi Nika, thanks for tagging me in this. To give some context for others, https://bugzilla.mozilla.org/show_bug.cgi?id=1419960 these are my related changes.
I did some investigation and here is what I found. When I look at similar jobs on tree herder, it doesn’t seem like the test fails anymore. When I run the test locally, it passes(all the tests pass, there are no time outs).  On July 25 at 10 am the wptsync bot added .ini file with ‘expected time out’ (see here https://hg.mozilla.org/mozilla-central/rev/dd958f1110d6)  and then on the same day the wptsync bot’s updates were backed out (https://hg.mozilla.org/mozilla-central/rev/a50f2ebade39). The intermittent failure says that there is ‘UNEXPECTED-PASS’, which makes me think that this is not really a failure because before the wptsync bot’s backed out changes, the test was expected to pass. We can also see here https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2018-07-07&endday=2018-08-06&tree=trunk&bug=1478847 that there have been no more failures. James, can you please take a look at this and correct me if I am wrong?
Flags: needinfo?(agakhokidze) → needinfo?(james)
Sorry for the giant wall of text, I will try to add more paragraph breaks next time! :(
Comment on attachment 8998228 [details]
Bug 1478847 - Fix timeouts for html/browsers/the-window-object/window-open-noopener.html web-platform test, r=jgraham

James Graham [:jgraham] has approved the revision.

https://phabricator.services.mozilla.com/D2864
Attachment #8998228 - Flags: review+
Pushed by james@hoppipolla.co.uk:
https://hg.mozilla.org/integration/autoland/rev/249187863dd9
Fix timeouts for html/browsers/the-window-object/window-open-noopener.html web-platform test, r=jgraham
Created web-platform-tests PR https://github.com/web-platform-tests/wpt/pull/12340 for changes under testing/web-platform/tests
Whiteboard: [stockwell needswork:owner] → [stockwell needswork:owner][wptsync upstream]
Upstream web-platform-tests status checks passed, PR will merge once commit reaches central.
Upstream PR was closed without merging
Pushed by james@hoppipolla.co.uk:
https://hg.mozilla.org/integration/mozilla-inbound/rev/991ea626d9dc
Fix timeouts for html/browsers/the-window-object/window-open-noopener.html web-platform test, r=jgraham
Upstream web-platform-tests status checks passed, PR will merge once commit reaches central.
Upstream PR merged
https://hg.mozilla.org/mozilla-central/rev/991ea626d9dc
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla63
Assignee: nobody → agakhokidze
Flags: needinfo?(james)
Component: DOM → DOM: Core & HTML
You need to log in before you can comment on or make changes to this bug.